# Get Indexes

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Get Indexes"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/workspaces/{workspace_name}/indexes"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Get Indexes

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"Type the name of the workspace.","in":"path","name":"workspace_name","required":true,"schema":{"description":"Type the name of the workspace.","title":"Workspace Name","type":"string"}},{"description":"The number of entries to display. Leaving this field empty keeps the default, and max 10 results are returned.","in":"query","name":"limit","required":false,"schema":{"default":10,"description":"The number of entries to display. Leaving this field empty keeps the default, and max 10 results are returned.","maximum":100,"title":"Limit","type":"integer"}},{"description":"Enter an ID if you want to see all entries before this ID. To use this option, clear the `page_number` parameter first.","in":"query","name":"before","required":false,"schema":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"description":"Enter an ID if you want to see all entries before this ID. To use this option, clear the `page_number` parameter first.","title":"Before"}},{"description":"Enter an ID if you want to see all entries after this ID. To use this option, clear the `page_number` parameter first.","in":"query","name":"after","required":false,"schema":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"description":"Enter an ID if you want to see all entries after this ID. To use this option, clear the `page_number` parameter first.","title":"After"}},{"description":"The number of the page you want to see.","in":"query","name":"page_number","required":false,"schema":{"anyOf":[{"minimum":1,"type":"integer"},{"type":"null"}],"description":"The number of the page you want to see.","title":"Page Number"}},{"description":"The name of the entity you want to sort by.","in":"query","name":"field","required":false,"schema":{"default":"created_at","description":"The name of the entity you want to sort by.","enum":["name","created_at","created_by/user_id","created_by/given_name","created_by/family_name"],"title":"Field","type":"string"}},{"description":"Choose how you want to sort the results.","in":"query","name":"order","required":false,"schema":{"default":"DESC","description":"Choose how you want to sort the results.","enum":["ASC","DESC"],"title":"Order","type":"string"}},{"description":"Partial implementation of the OData $select operator. It currently only supports selecting fields from the root entity or a child entity. Selecting fields from children's children is not supported. If you use this parameter, the API answer is always a flat list of distinct JSON objects with the selected properties, for example, '[{\"given_name\": \"user1\", \"user_id\": \"...\"}, ...]' for 'select=created_by/given_name, created_by/user_id'. The results are ordered by the first selected attribute. To learn more about the OData filter syntax, see: [Querying Data](https://www.odata.org/getting-started/basic-tutorial/#queryData).","in":"query","name":"select","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Partial implementation of the OData $select operator. It currently only supports selecting fields from the root entity or a child entity. Selecting fields from children's children is not supported. If you use this parameter, the API answer is always a flat list of distinct JSON objects with the selected properties, for example, '[{\"given_name\": \"user1\", \"user_id\": \"...\"}, ...]' for 'select=created_by/given_name, created_by/user_id'. The results are ordered by the first selected attribute. To learn more about the OData filter syntax, see: [Querying Data](https://www.odata.org/getting-started/basic-tutorial/#queryData).","title":"Select"}},{"description":"The OData filter you want to use to in your query. It supports exact match and `AND` operations. For example, to filter for a metadata `category:news` and `published_date` greater than or equal to January 1 2025, here's what the URL could look like: 'url = \"https://api.cloud.deepset.ai/api/v1/workspaces/production/files?limit=10&filter=category eq 'news' and published_date ge '2025-01-01' \"'. OData filters only work with cursor-based pagination (leave the `page_number` field blank to enable it).To learn more about the OData filter syntax, see: [Querying Data](https://www.odata.org/getting-started/basic-tutorial/#queryData).","in":"query","name":"filter","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The OData filter you want to use to in your query. It supports exact match and `AND` operations. For example, to filter for a metadata `category:news` and `published_date` greater than or equal to January 1 2025, here's what the URL could look like: 'url = \"https://api.cloud.deepset.ai/api/v1/workspaces/production/files?limit=10&filter=category eq 'news' and published_date ge '2025-01-01' \"'. OData filters only work with cursor-based pagination (leave the `page_number` field blank to enable it).To learn more about the OData filter syntax, see: [Querying Data](https://www.odata.org/getting-started/basic-tutorial/#queryData).","title":"Filter"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"data":{"items":{"properties":{"config_yaml":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Config YAML of the pipeline index.","title":"Pipeline Index Config YAML"},"created_at":{"description":"Timestamp when the pipeline index was created.","format":"date-time","title":"Created At","type":"string"},"created_by":{"anyOf":[{"properties":{"family_name":{"description":"Family name of a user.","title":"Family name","type":"string"},"given_name":{"description":"Given name of a user.","title":"Given name","type":"string"},"user_id":{"description":"Unique identifier of a user.","format":"uuid","title":"User ID","type":"string"}},"required":["given_name","family_name","user_id"],"title":"Oauth User","type":"object"},{"type":"null"}],"description":"ID of the user who created the pipeline index.","title":"Created By User ID"},"deployed_at":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"description":"Timestamp when the pipeline index was deployed.","title":"Pipeline Index Deployed At"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Description of the pipeline index.","title":"Pipeline Index Description"},"desired_status":{"description":"The desired status of the pipeline index.","title":"Pipeline Index Desired Status","enum":["DEPLOYED","UNDEPLOYED"],"type":"string"},"file_name_prefix_filter":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma-separated prefix pattern filter (e.g. 'prefix1*,prefix2'). A prefix pattern to filter which files are indexed by this pipeline index. Only files whose names match the prefix will be indexed. Use the pattern like 'myprefix*' to match all files starting with 'myprefix'. Set to null to disable filtering and index all files.","title":"File Name Prefix Filter"},"gpu_enabled":{"description":"Indicates whether GPU acceleration is enabled for the pipeline index. When enabled, the pipeline can use GPU resources for faster processing. If the pipeline doesn't require GPUs, it will run on CPU regardless of this setting.","readOnly":true,"title":"GPU Enabled","type":"boolean"},"last_edited_at":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"description":"Timestamp when the pipeline index was last edited.","title":"Last Edited At"},"last_edited_by":{"anyOf":[{"properties":{"family_name":{"description":"Family name of a user.","title":"Family name","type":"string"},"given_name":{"description":"Given name of a user.","title":"Given name","type":"string"},"user_id":{"description":"Unique identifier of a user.","format":"uuid","title":"User ID","type":"string"}},"required":["given_name","family_name","user_id"],"title":"Oauth User","type":"object"},{"type":"null"}],"description":"ID of the user who last edited the pipeline index.","title":"Last Edited By User ID"},"max_index_replica_count":{"description":"Maximum number of replicas allowed for the pipeline index.","title":"Maximum Index Replica Count","type":"integer"},"name":{"description":"Name of the pipeline index.","title":"Pipeline Index Name","type":"string"},"pipeline_index_id":{"description":"Unique identifier of the pipeline index.","format":"uuid","title":"Pipeline Index ID","type":"string"},"settings":{"additionalProperties":true,"default":{},"description":"Settings for the pipeline index.","title":"Pipeline Index Settings","type":"object"},"status":{"description":"Indexing status of the pipeline index.","title":"Pipeline Index Indexing","properties":{"failed_file_count":{"description":"Files that failed to be indexed.","title":"Failed Files","type":"integer"},"indexed_file_count":{"description":"Files that were successfully indexed.","title":"Indexed Files","type":"integer"},"indexed_no_documents_file_count":{"description":"The number of files that were indexed but didn't create documents.","title":"Indexed Files with No Documents.","type":"integer"},"pending_file_count":{"description":"The number of files pending to be indexed.","title":"Pending Files","type":"integer"},"total_file_count":{"description":"The total number of files assigned to a pipeline.","title":"Total Files","type":"integer"}},"required":["indexed_no_documents_file_count","indexed_file_count","pending_file_count","failed_file_count","total_file_count"],"type":"object"},"updated_at":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"description":"Timestamp when the pipeline index was last updated.","title":"Updated At"},"workspace_id":{"description":"Workspace ID of the pipeline index.","format":"uuid","title":"Pipeline Index Workspace ID","type":"string"}},"required":["pipeline_index_id","name","config_yaml","workspace_id","desired_status","deployed_at","last_edited_at","max_index_replica_count","created_at","updated_at","created_by","last_edited_by","status","gpu_enabled"],"title":"PipelineIndex","type":"object"},"title":"Data","type":"array"},"has_more":{"description":"Indicates if there are more results to show.","title":"Has more results","type":"boolean"},"total":{"description":"The total number of results matching your query.","title":"Total number of results","type":"integer"}},"required":["data","has_more","total"],"title":"PaginatedResult[PipelineIndex]","type":"object"}}},"description":"Successful Response"},"404":{"description":"Workspace not found"},"422":{"description":"Invalid filter expression"}}}
>
  
</StatusCodes>
